Hi fellow wiki editors!

To help newly registered users get more familiar with the wiki (and maybe older users too) there is now a {{Welcome to the wiki}} template. Have a look at it and feel free to add it to new users discussion pages (and perhaps your own).

I have tried to keep the template short, but meaningful. /Johan G

Difference between revisions of "FlightGear Git on Mac OS X"

From FlightGear wiki
Jump to: navigation, search
(Install SimGear)
(Install)
Line 21: Line 21:
 
Download and install Xcode Tools for OSX (for OSX 10.5.8 you need Dev Tools 3.1.4).<BR>
 
Download and install Xcode Tools for OSX (for OSX 10.5.8 you need Dev Tools 3.1.4).<BR>
 
http://developer.apple.com/technologies/xcode.html
 
http://developer.apple.com/technologies/xcode.html
 +
 +
=== Download and Install GIT ===
 +
Download and install GIT for OSX. Grab the latest version from Google Code:
 +
[http://code.google.com/p/git-osx-installer/ http://code.google.com/p/git-osx-installer/]
  
 
=== Install MacPorts ===  
 
=== Install MacPorts ===  

Revision as of 08:29, 28 June 2010

This article is a stub. You can help the wiki by expanding it.

Please read this, important!

This page is under heavy developement! It shows how you can probably succeed with installing your own FlightGear Developement Version on OSX 10.5or 10.6, on a Intel-based Mac. This page is experimental and this building should not be used unless you know what you do with your computer. Keep in mind that installing developer versions of software can crash your computer ;-) Please do not start to mail to the FlightGear- or SimGear Devel-Mailinglist with FlightGear OSX installing problems related to this Wiki, ask your questions or report errors in the forum in postings/threads related to this page! --> http://www.flightgear.org/forums/viewtopic.php?f=21&t=8134

Default installing locations

This guide installs the software with default paths on your system (MacPorts in /opt/local/ - other parts in /usr and /usr/local). There is only one framework (to be placed manually) in /Library/Frameworks. Use your own configuration options to get your preferred locations!. Do not post linking errors in the forum or the lists when you decide to use your own search paths.

Requirements

System Requirements: OSX 10.5.8 (Leopard) or higher, and an Intel Mac. (PPC may work using the same instructions) Other requirements: Basic knowledge of using Terminal on OSX, Xcode Dev Tools 3.1.4, MacPorts 1.8.2

You are going to install:
Xcode Dev Tools, MacPorts, boost, cmake, plib, ALUT.framework, OpenSceneGraph, git, SimGear and finally FlightGear

This action will take more than 2 hours!

Install

Install Xcode Developer Tools

Download and install Xcode Tools for OSX (for OSX 10.5.8 you need Dev Tools 3.1.4).
http://developer.apple.com/technologies/xcode.html

Download and Install GIT

Download and install GIT for OSX. Grab the latest version from Google Code: http://code.google.com/p/git-osx-installer/

Install MacPorts

Download and install MacPorts 1.8.2
Note: With already installed MacPorts it could be a good idea to first decactivate all other ports for this whole guide. More information: http://guide.macports.org/#installing.macports.upgrade.

Update MacPorts

In terminal type

sudo port selfupdate
sudo port upgrade outdated

When you run into problems with synchronizing go here: http://trac.macports.org/wiki/howto/SyncingWithSVN

Install boost (1.42.0) with MacPorts

sudo port install boost 

Note: this step can take more than 30 minutes! Boost is made for drinking more tea.

Install cmake (2.8.1) with MacPorts

sudo port install cmake

Install plib (1.8.5) with MacPorts

sudo port install plib

Install the ALUT.framework

Note: This framework is provided by James T. This is not official! James posted this download link in the develist and the link to the framework can change. Linking to the OpenAL/alut.h header and compilation of official freealut fails on my OSX 10.5.8 with FlightGear, and there is also no port avaiable at the moment. Big thanks to James for providing this framework (universal). Download here (temporary location!): [[1]]
Unzip and move the ALUT.framework folder to /Library/Frameworks

Download and install OpenSceneGraph 2.9.7

Checkout OpenSceneGraph source with

svn co http://www.openscenegraph.org/svn/osg/OpenSceneGraph/tags/OpenSceneGraph-2.9.7 OpenSceneGraph

cd to the new directory and type

./configure
make
sudo make install

Remark: OSG-2.9.7 did not compile for X86_64, so I used

svn co http://www.openscenegraph.org/svn/osg/OpenSceneGraph/trunk OpenSceneGraph

--T3r 21:08, 27 June 2010 (UTC)

Git SimGear/FlightGear/fgdata

Create a directory where you want to place your new FlightGear code.

git clone git://gitorious.org/fg/flightgear.git
git clone git://gitorious.org/fg/simgear.git
git clone git://mapserver.flightgear.org/fgdata/

The fgdata is about 2 GB! You can clone this repo once and later you use git pull. There is other page FlightGear and Git about using the FlightGear Gitorious GIT Repos. When you run into problem Last but not least there is also another GIT repo for months: http://mapserver.flightgear.org/git/.

Plase note: Gitorious apparently can't handle the initial git clone. Please, clone from mapserver and pull (update) from Gitorious:

git pull git://gitorious.org/fg/fgdata.git

Install SimGear

cd to the directory and type

./autogen.sh
./configure
make
sudo make install

Remark: My plib went into /opt/local, so I used

./configure --with-plib=/opt/local

for SimGear

Install FlightGear

./autogen.sh
./configure
make
sudo make install

Finish and Testrun

Testrun of FlightGear via terminal, first export FG_ROOT to the fgdata folder

export FG_ROOT=/Users/joe/where/is/my/fgdata 

or whereelse your /fgdata is located ;-) But of course you can also use --fg-root=/path/to/fgdata or --fg-scenery=/path/to/scenery with fgfs

fgfs --option1 --option2 ...

Other resources

Look here directly into OSX and FlightGear related compiling, configuration, terminal output, logs: James’ Hudson Server http://zakalawe.ath.cx:8080/